%define ver_major 1.0

Name: libgail-gnome
Version: %ver_major.2
Release: alt3

Summary: GNOME Accessibility Implementation Library
License: LGPL
Group: System/Libraries

Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define at_spi_ver 1.3.8
%define atk_ver 1.4.1
%define gail_ver 1.4.1
%define libgnomeui_ver 2.4.0
%define libbonobo_ver 2.4.1
%define libbonoboui_ver 2.4.0

BuildPreReq: libat-spi-devel >= %at_spi_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgail-devel >= %gail_ver
BuildPreReq: libatk-devel >= %atk_ver
BuildPreReq: libbonobo2-devel >= %libbonobo_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Thu Dec 04 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel hostinfo libGConf2-devel libORBit2 libart_lgpl-devel libat-spi-devel libatk-devel libaudiofile libbonobo2-devel libbonoboui-devel libexpat libgail libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg libpango-devel libpopt-devel libssl libxml2-devel pkgconfig zlib-devel

%description
Gail is the GNOME Accessibility Implementation Library

%package devel
Summary: Static libraries, include files for libgail-gnome
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: libbonobo2-devel >= %libbonobo_ver
Requires: libat-spi-devel >= %at_spi_ver

%description devel
Gail is the GNOME Accessibility Implementation Library

This package contains the header files, libraries and documentation
necessary to write programs that use %name.

%prep
%setup -q

%build
%configure

# SMP-incompatible build
%make

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*/*/*.la

%files
%_libdir/*/*/*.so

%files devel
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog README

%changelog
* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt3
- do not package .la files.

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt2
- updated buildreqs.

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt3
- Rebuild with new at-spi.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt2
- rebuild with new pango, gtk+.

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Jun 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- Adopted for Sisyphus.
- 1.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-5mdk
- Rebuilt against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-4mdk
- Rebuilt against gail 0.15

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.0-3mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Recompiled against latest gail

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.0.8-1mdk
- Initial Mdk package
